Bug 802758 - Review Request: drupal6-drush - cli for drupal management
Review Request: drupal6-drush - cli for drupal management
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brett Lentz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 08:57 EDT by Anderson Silva
Modified: 2012-04-11 22:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: drupal6-drush-4.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 10:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brett.lentz: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anderson Silva 2012-03-13 08:57:16 EDT
Spec URL: http://r-bean2.rhcloud.com/drupal6-drush.spec
SRPM URL: http://r-bean2.rhcloud.com/drupal6-drush-4.1-2.el6_2.src.rpm
Description: 
Drush is a command line shell and scripting interface for Drupal,
a veritable Swiss Army knife designed to make life easier for
those of us who spend some of our working hours hacking away
at the command prompt.
Comment 1 Anderson Silva 2012-03-13 09:25:28 EDT
As a side note this spec was built using the fedora drupal template found at:

https://fedoraproject.org/wiki/Drupal_module_specfile_template
Comment 2 Anderson Silva 2012-03-14 14:34:09 EDT
update SRPM and SPEC:

Spec URL: http://r-bean2.rhcloud.com/drupal6-drush.spec
SRPM URL: http://r-bean2.rhcloud.com/drupal6-drush-4.1-3.el6_2.src.rpm
Description: 
Drush is a command line shell and scripting interface for Drupal,
a veritable Swiss Army knife designed to make life easier for
those of us who spend some of our working hours hacking away
at the command prompt.
Comment 3 Anderson Silva 2012-03-14 14:35:13 EDT
apolgies, trying again: 

Spec URL: http://r-bean2.rhcloud.com/drupal6-drush.spec
SRPM URL: http://r-bean2.rhcloud.com/drupal6-drush-4.1-3.fc16.src.rpm
Description: 
Drush is a command line shell and scripting interface for Drupal,
a veritable Swiss Army knife designed to make life easier for
those of us who spend some of our working hours hacking away
at the command prompt.
Comment 4 Brett Lentz 2012-03-21 10:06:48 EDT
$ rpmlint drupal6-drush-4.1-3.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Overall, it looks like there's no major issues. This package is approved.

Some recommendations before you do the first build:

I'd recommend removing the comments in the %files section from the spec template.

Second, if Drush is a CLI tool, it would make sense to install the executable or a symlink into %bindir, rather than having it in %datadir.

This CLI tool also doesn't ship with any man pages. Please work with upstream to get some created, as all executables SHOULD have man pages.
Comment 5 Anderson Silva 2012-03-22 09:44:36 EDT
New Package SCM Request
=======================
Package Name: drupal6-drush
Short Description: Drush is a command line shell and scripting interface for Drupal
Owners: afsilva
Branches: f16 f17 el6
Comment 6 Gwyn Ciesla 2012-03-22 10:19:55 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-03-27 09:00:19 EDT
drupal6-drush-4.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-drush-4.1-3.el6
Comment 8 Fedora Update System 2012-03-27 09:07:08 EDT
drupal6-geshifilter-1.4-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal6-geshifilter-1.4-5.fc16
Comment 9 Fedora Update System 2012-03-27 09:11:57 EDT
drupal6-drush-4.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-drush-4.1-3.fc17
Comment 10 Fedora Update System 2012-03-27 09:13:40 EDT
drupal6-drush-4.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal6-drush-4.1-3.fc16
Comment 11 Fedora Update System 2012-03-28 00:57:06 EDT
drupal6-drush-4.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 12 Fedora Update System 2012-03-31 20:29:30 EDT
drupal6-drush-4.1-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2012-04-11 22:39:43 EDT
drupal6-drush-4.1-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.